local media = bdCore.media

local powerbar = CreateFrame('Frame')
--Create Background and Border
local altBG = CreateFrame("Frame", "altBG", UIParent)
altBG:SetHeight(20)
altBG:SetWidth(200)
altBG:SetPoint(unpack({"CENTER", UIParent, "CENTER", 0, -140}))
altBG:SetBackdrop({
	bgFile = media.flat, 
	edgeFile = media.flat, 
	tile = false, tileSize = 0, edgeSize = 2, 
	insets = { left = 0, right = 0, top = 0, bottom = 0}
})
altBG:SetBackdropColor(.1, .1, .1, 1)
altBG:SetBackdropBorderColor(0,0,0)
altBG:SetMovable(true)
altBG:SetClampedToScreen(true)
altBG:SetUserPlaced(true)

-- Create Status Bar and Text
local AltPowerBar = CreateFrame("StatusBar", "AltPowerBar", altBG)
AltPowerBar:SetStatusBarTexture(media.flat)
AltPowerBar:SetMinMaxValues(0, 100)
AltPowerBar:SetPoint("TOPLEFT", altBG, "TOPLEFT", 2, -2)
AltPowerBar:SetPoint("BOTTOMRIGHT", altBG, "BOTTOMRIGHT", -2, 2)
AltPowerBar:SetStatusBarColor(.2, .4, 0.8, 1)

local AltPowerText = AltPowerBar:CreateFontString(nil, "OVERLAY")
AltPowerText:SetFont(media.font, 13, "THINOUTLINE")
AltPowerText:SetPoint("CENTER", altBG, "CENTER")

--Event handling
altBG:RegisterEvent("UNIT_POWER")
altBG:RegisterEvent("UNIT_POWER_BAR_SHOW")
altBG:RegisterEvent("UNIT_POWER_BAR_HIDE")
altBG:RegisterEvent("PLAYER_ENTERING_WORLD")
altBG:RegisterEvent("ADDON_LOADED")
altBG:SetScript("OnEvent", function(self, event, arg1)
	if (event == "ADDON_LOADED" and arg1 == "bdCore") then
		self:UnregisterEvent("ADDON_LOADED")
		bdCore:makeMovable(altBG)
	end
	if UnitAlternatePowerInfo("player") or UnitAlternatePowerInfo("target") then
		self:Show()
	else
		self:Hide()
	end
	
	if not altBG:IsShown() then return end
	
	local ZoneName = GetRealZoneText()
	local subZoneName = GetSubZoneText()
	
	altBG:SetMinMaxValues(0, UnitPowerMax("player", ALTERNATE_POWER_INDEX))
	local power = UnitPower("player", ALTERNATE_POWER_INDEX)
	local mpower = UnitPowerMax("player", ALTERNATE_POWER_INDEX)
	self:SetValue(power)
	AltPowerText:SetText(power.."/"..mpower)
end)

PlayerPowerBarAlt:UnregisterEvent("UNIT_POWER_BAR_SHOW")
PlayerPowerBarAlt:UnregisterEvent("UNIT_POWER_BAR_HIDE")
PlayerPowerBarAlt:UnregisterEvent("PLAYER_ENTERING_WORLD")